use serde::{Deserialize, Serialize};

pub struct Account {
    pub id: String,
    pub username: String,
    pub email: String,
    pub password: String,
    pub role: Role,
    pub avatar: Option<String>,
}

#[derive(Serialize, Deserialize, Debug, sqlx::Type)]
#[sqlx(type_name = "account_role", rename_all = "lowercase")]
pub enum Role {
    User,
    Admin,
}
